Skip to main content
GET
/
batches
/
{batch_id}
/
evidences
List all evidences for a batch
curl --request GET \
  --url https://app.gomangrove.com/api/v1/batches/{batch_id}/evidences \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.gomangrove.com/api/v1/batches/{batch_id}/evidences"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.gomangrove.com/api/v1/batches/{batch_id}/evidences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 1,
      "url": "https://app.gomangrove.com/....",
      "evidence_type": "file",
      "name": "Receipt.pdf"
    },
    {
      "id": 2,
      "url": "https://www.example.com",
      "evidence_type": "url",
      "name": "External Reference"
    }
  ],
  "info": {
    "items": 2,
    "page_size": 10,
    "total_items": 2,
    "current_page": 1,
    "next_page": null,
    "previous_page": null,
    "total_pages": 1,
    "sort": [],
    "filter": []
  }
}
{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "record not found"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

batch_id
string
required

Batch friendly ID (e.g., bat_abc123def456)

Query Parameters

page
integer<int32>
default:1
page_size
integer<int32>
default:10
response_mode
enum<string>

Controls response format. default returns paginated data. summary returns count and 10 samples. summary_with_export returns summary and triggers an async export.

Available options:
default,
summary,
summary_with_export
export_format
enum<string>
default:csv

File format for async export (only with response_mode=summary_with_export). Default: csv.

Available options:
csv,
json

Response

200

data
object[]
info
object